VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ThisOutlookSession"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit

' Buch "Selbstorganisation und Zeitmanagement mit MS Outlook" (Stobbe, Wuttke, 2016, mitp)
' Autor: Irina Stobbe, 2016
' nur "as it is" - ohne Garantie

Public msg As String

Public WithEvents objTermine As Items
Attribute objTermine.VB_VarHelpID = -1

Private Sub Application_ItemSend(ByVal Item As Object, Cancel As Boolean)
    Dim MyMail As MailItem
    Dim MirAuch As Recipient
    
    ' Buch
    MsgBox "Code aus 'Selbstorganisation" & _
      " und Zeitmanagement mit Outlook'," & vbLf & _
      " von I. Stobbe/ A. Wuttke, mitp-Verlag, 2016"

    ' Sende jede versndete Nachricht auch an mich (fr Laptops)
    MirAuchBCCSenden Item

    ' Bei groen Nachrichten warnen (Limit-Gre steht dort: modGroeAnlagen)
    If TypeOf Item Is Outlook.MailItem Then
        Cancel = Not (ConfirmBigAttachments(Item))
    End If
   
   ' Prfe auf Hinweis auf eine Anlage und stoppe den Versand
    Cancel = StopBeiFehlenderAnlage(Item)
            
    Exit Sub
FB_ITEMSEND:
    MsgBox Err.Number & " " & Err.Description & vbLf, vbAbortRetryIgnore
    
End Sub
'  Alle Ereignisse vom Start an der Reihe nach

Private Sub Application_Startup()
    Dim objNS As NameSpace
    ' ...
    ' Termine-Object vorbereiten
    Set objNS = Application.GetNamespace("MAPI")
    Set objTermine = objNS.GetDefaultFolder(olFolderCalendar).Items
    Set objNS = Nothing
    Debug.Print "objTermine: " & objTermine.Count
    ' ...
End Sub


Private Sub objTermine_ItemAdd(ByVal Item As Object)
    ' ...
    If Item.Class = olAppointment  Then
        ' Auswahlformular ffnen und Dauer der Serie festlegen
        ' Globale Variable AnzahlST (Standard-Anzahl)
        Load frmTagesserie
        frmTagesserie.Show
                
        WiederholungstageEinrichten Item
       
    End If
End Sub



