Attribute VB_Name = "modAuswahlDateienOrdner"
Option Explicit

' Buch "Selbstorganisation und Zeitmanagement mit MS Outlook" (Stobbe, Wuttke, 2016, mitp)
' Autor: Irina Stobbe, 2016
' nur "as it is" - ohne Garantie

' Fr 64bit (PtrSafe) oder 32bit-System
Private Declare PtrSafe Function GetActiveWindow Lib "user32.dll" () As Long
'Private Declare Function GetActiveWindow Lib "user32.dll" () As Long

Private Const BIF_BROWSEINCLUDEFILES = &H4000               ' siehe unten

'    https://msdn.microsoft.com/en-us/library/windows/desktop/bb774065(v=vs.85).aspx?cs-save-lang=1&cs-lang=vb#code-snippet-1
'
'   Die Vorgabepfade knnen nicht mehr nach oben durchsucht werden: Nicht zu tief einstellen.
'   zwei Varianten; in Var 2. wird noch das ausgewhlte Objekt selbst zur Verfgung gestellt.
Sub TestAufruf()
    MsgBox PfadAuswaehlen("Wohin speichern? Datei oder Ordner? ", "H:\Anwender\_Vipaktion")
    Call get_Folder("Ordner auswhlen?", "H:\Anwender\+Paula")
End Sub

Public Function PfadAuswaehlen(strTITEL As String, strStartPfad As String) As String

    ' mit BrowseForFolder-Shell-Dialog

    Dim shApp As Object, shFolder As Object
    Const shOpt = &H4000      ' Ordner auswhlen, Konstanten siehe unten
    
    Set shApp = CreateObject("Shell.Application")
    Set shFolder = shApp.BrowseForFolder(0, (strTITEL), shOpt, (strStartPfad))
    If Not shFolder Is Nothing Then
        PfadAuswaehlen = shFolder.Self.Path
    Else
        PfadAuswaehlen = ""
    End If
    ' Anschlieend auf "" prfen
End Function

Sub get_Folder(Optional capt, Optional initF)
    'Original von K.Rola
    Dim objShell As Object
    Dim objFolder As Object
    Dim objItem As Object
    Set objShell = CreateObject("Shell.Application")     'GetActiveWindow
    Set objFolder = objShell.BrowseForFolder(0, _
        capt, BIF_BROWSEINCLUDEFILES, (initF))
    If Not objFolder Is Nothing Then
        Set objItem = objFolder.Self
        MsgBox objItem.Path
    End If
End Sub


' Alle Flags fr BrowseForFolder
'=================================

'Private Const BIF_RETURNONLYFSDIRS = &H1
'Private Const BIF_DONTGOBELOWDOMAIN = &H2
'Private Const BIF_STATUSTEXT = &H4
'Private Const BIF_RETURNFSANCESTORS = &H8
'Private Const BIF_EDITBOX = &H10
'Private Const BIF_VALIDATE = &H20
'Private Const BIF_NEWDIALOGSTYLE = &H40
'Private Const BIF_BROWSEINCLUDEURLS = &H80
'Private Const BIF_BROWSEFORCOMPUTER = &H1000
'Private Const BIF_BROWSEFORPRINTER = &H2000
'Private Const BIF_BROWSEINCLUDEFILES = &H4000
'Private Const BIF_SHAREABLE = &H8000
