Attribute VB_Name = "modCheckliste"
Option Explicit

' Buch "Selbstorganisation und Zeitmanagement mit MS Outlook" (Stobbe, Wuttke, 2016)
' Autor: Irina Stobbe, 2016
' nur "as it is" - ohne Garantie

Private Const cRESERVE = 14          'Tage vorher fertig
Private Const cTeamTaskFolder As String = "\\Paula.Pelikan@vipaktion.com\Aufgaben\Teamaufgaben\"  ' Adresse zum freigegebenen AufgabenOrdner
Private Const cTemplatepfad As String = "C:\Users\PaulaP\Appdata\Roaming\Microsoft\Templates\" ' Adresse des Vorlagenordners im Profile

Sub AufgabeCheckliste0()
' Aufgaben festlegen Komplette Checkliste
' Neue Aufgabe auf Basis der Vorlage
' Zieldatum: Raum reservieren 14 Tage vorher (Konstante cRESERVE)!

    Dim olApp As Outlook.Application, dtEvent As Date
    Dim myItem As TaskItem, myFolder As MAPIFolder
    Dim vEingabe As Variant, strEventNr As String
    Dim myNameSpace As NameSpace, strTPfad As String
    
    ' Mail-Eingangsordner festlegen
    Set olApp = Outlook.Application
    Set myNameSpace = Outlook.GetNamespace("MAPI")
    ' ggf. Folders-Index anpassen ! Aufgabenordner muss existieren
    Set myFolder = myNameSpace.GetDefaultFolder(olFolderTasks).Folders(1)
    strTPfad = cTemplatepfad & "Checkliste1\"
    On Error Resume Next
    ' Ansicht auf Aufgabenordner
    Set Application.ActiveExplorer.CurrentFolder = myFolder
    Do ' Datum und VE.Nummer abfragen
        vEingabe = InputBox("Veranstaltungsnummer: ", "Aufgabenverteilung", "VE34111")
    Loop While IsEmpty(vEingabe)
    strEventNr = CStr(vEingabe)
    Do
        vEingabe = InputBox("Datum der Veranst.:", "Aufgabenverteilung", Date+42)
    Loop Until IsDate(vEingabe)
    dtEvent = CDate(vEingabe)
    ' Jetzt Vorlagen ffnen und vorbelegen

    ' 1. Raum reservieren
    Set myItem = olApp.CreateItemFromTemplate(strTPfad & "ac1RaumReservieren.oft")
    myItem.ReminderTime = dtEvent - cRESERVE + 1 / 3
    myItem.ReminderSet = True
    myItem.DueDate = dtEvent - cRESERVE
    myItem.Subject = myItem.Subject & strEventNr & ", Beginn am " & CStr(dtEvent)
    myItem.Categories = "Checkliste1"
    myItem.Save
    myItem.Move myFolder

    '2. Trschilder drucken
    Set myItem = olApp.CreateItemFromTemplate(strTPfad & "ac1Trschilder.oft")
    myItem.ReminderTime = dtEvent - cRESERVE + 1 / 3
    myItem.ReminderSet = True
    myItem.DueDate = dtEvent - cRESERVE
    myItem.Subject = myItem.Subject & _
    strEventNr & ", Beginn am " & CStr(dtEvent)
    myItem.Categories = "Checkliste1"
    myItem.Save
    myItem.Move myFolder

    ' 3. Trainerauftrag versenden
    Set myItem = olApp.CreateItemFromTemplate(strTPfad & "ac1Trainerauftrag.oft")
    myItem.ReminderTime = dtEvent - cRESERVE + 1 / 3
    myItem.ReminderSet = True
    myItem.DueDate = dtEvent - cRESERVE
    myItem.Subject = myItem.Subject & strEventNr & ", Beginn am " & CStr(dtEvent)
    myItem.Categories = "Checkliste1"
    myItem.Save
    myItem.Move myFolder

    '4. EDV-System aktualisieren
    Set myItem = olApp.CreateItemFromTemplate(strTemplatepfad & "ac1SchulungInSystem.oft")
    myItem.Display
    myItem.ReminderTime = dtEvent - cRESERVE + 1 / 3
    myItem.ReminderSet = True
    myItem.DueDate = dtEvent - cRESERVE
    myItem.Subject = myItem.Subject & strEventNr & ", Beginn am " & CStr(dtEvent)
    myItem.Save
    myItem.Move myFolder
    
    '5. Teilnehmer einladen
    Set myItem = Application.CreateItemFromTemplate(strTemplatepfad & "ac1TeilnehmerEinladen.oft")
    myItem.ReminderTime = dtEvent - cRESERVE + 1 / 3
    myItem.ReminderSet = True
    myItem.DueDate = dtEvent - cRESERVE
    myItem.Subject = myItem.Subject & strEventNr & ", Beginn am " & CStr(dtEvent)
    myItem.Save
    myItem.Move myFolder
    
    '6. Schulungsunterlagen bestellen
    Set myItem = olApp.CreateItemFromTemplate(strTemplatepfad & "ac1Schulungsunterlagen.oft")
    myItem.ReminderTime = dtEvent - cRESERVE + 1 / 3
    myItem.ReminderSet = True
    myItem.DueDate = dtEvent - cRESERVE
    myItem.Subject = myItem.Subject & strEventNr & ", Beginn am " & CStr(dtEvent)
    myItem.Save
    myItem.Move myFolder

    'Aufrumen
    Set myItem = Nothing
    Set myFolder = Nothing
End Sub

